import http from '@/utils/request'
// 获取导出任务列表
export function getExportMissionList (params) {
  return http.post('exportMission/getExportMissionList', { data: params })
}
// 导出售票统计
export function exportOrderStatistics (params) {
  return http.post('exportMission/exportOrderStatistics', { data: params })
}
// 导出免票统计
export function exportFreeTicketStatistics (params) {
  return http.post('/exportMission/exportFreeList', { data: params })
}

// 导出检票统计
export function exportCheckStatistics (params) {
  return http.post('/exportMission/exportCheckStatistics', { data: params })
}

// 导出线上销售日报
export function exportDailyOtaSale (params) {
  return http.post('/exportMission/exportDailyOtaSale', { data: params })
}
// 导出线下销售日报
export function exportDailyOfflineSale (params) {
  return http.post('/exportMission/exportDailyOfflineSale', { data: params })
}
// 检票统计入园
export function getCheckerAccessStatistics (params) {
  return http.post('/admin/statistics/checkerAccessStatistics', { data: params })
}

// 检票记录
export function getCheckList (params) {
  return http.post('/admin/order/listUsed', { data: params })
}

// 检票核销统计
export function getCheckerVerifyStatistics (params) {
  return http.post('/admin/statistics/orderCheckStatistics', { data: params })
}

// 导出检票统计按票数
export function exportCheckStatisticsInTicketCount (params) {
  return http.post('/exportMission/exportCheckStatisticsInTicketCount', { data: params })
}
// 导出改签统计
export function exportModifyOrderStatistics (params) {
  return http.post('/exportMission/exportModifyOrderStatistics', { data: params })
}
// 退票统计
export function getCancelOrderStatistics (params) {
  return http.post('/admin/statistics/orderCancelStatistics', { data: params })
}

// 退票记录
export function getCancelOrderList (params) {
  return http.post('/admin/order/listCanceled', { data: params })
}

// 导出交班统计
export function exportSaleStatisticsByTicketSpot (params) {
  return http.post('/exportMission/exportSaleStatisticsByTicketSpot', { data: params })
}

// 导出自定义售票统计
export function exportCustomizeOrderStatistics (params) {
  return http.post('/admin/statistics/orderSaleStatistics', { data: params })
}

// 按日期导出售票统计
export function exportOrderStatisticsByDate (params) {
  return http.post('/exportMission/exportOrderStatisticsByDate', { data: params })
}

// 导出会员交易统计
export function exportMemberTradeStatistics (params) {
  return http.post('/exportMission/exportMemberTradeStatistics', { data: params })
}

// 导出会员交易记录
export function exportMemberTradeList (params) {
  return http.post('/exportMission/exportMemberTradeList', { data: params })
}

// 删除报表
export function deleteExportMission (params) {
  return http.post('/exportMission/deleteExportMission', { data: params })
}

// 删除报表
export function getOrderStatisticsByDate (params) {
  return http.post('/order/getOrderStatisticsByDate', { data: params })
}

// 获取导出类型列表
export function getExportTypeList () {
  return http.post('/exportMission/getExportTypeList')
}

// 导出售票累计统计
export function exportOrderGrandTotalStatistics () {
  return http.post('/exportMission/exportOrderGrandTotalStatistics')
}

// 按团散销售统计（图表）
export function getGroupIndividual (params) {
  return http.post('/orderStatistics/getGroupIndividual', { data: params })
}

// 按渠道销售统计（图表）
export function getSaleChannel (params) {
  return http.post('/orderStatistics/getSaleChannel', { data: params })
}

// 按门票会员销售额占比销售统计（图表）
export function getTicketMemberMoneyPercent (params) {
  return http.post('/orderStatistics/getTicketMemberMoneyPercent', { data: params })
}

// 销售同比分析（图表）
export function getTicketSaleYearOnYear (params) {
  return http.post('/orderStatistics/getTicketSaleYearOnYear', { data: params })
}

// 场次售票统计
export function getTicketSaleByBatch (params) {
  return http.post('/orderStatistics/getTicketSaleByBatch', { data: params })
}

// 导出取票统计
export function exportTicketPrintStatistics (params) {
  return http.post('/exportMission/exportTicketPrintStatistics', { data: params })
}

// 导出场次售票统计
export function exportTicketSaleByBatch (params) {
  return http.post('/exportMission/exportTicketSaleByBatch', { data: params })
}

// 线上销售日报(czg private)
export function getDailyOtaSale (params) {
  return http.post('/chengzhanguan/getDailyOtaSale', { data: params })
}

// 线下销售日报(czg private)
export function getDailyOfflineSale (params) {
  return http.post('/chengzhanguan/getDailyOfflineSale', { data: params })
}

// 现金销售日报(czg private)
export function getDailyOfflineCashSale (params) {
  return http.post('/chengzhanguan/getDailyOfflineCashSale', { data: params })
}

// 日销售报表(czg private)
export function getDailySale (params) {
  return http.post('/chengzhanguan/getDailySale', { data: params })
}

// 报表导出 4个tab页共用(czg private)
export function exportChengzhanguanReport (params) {
  return http.post('/chengzhanguan/exportChengzhanguanReport', { data: params })
}

// 年龄报表查询(czg private)
export function getAgeWithIdType (params) {
  return http.post('/chengzhanguan/getAgeWithIdType', { data: params })
}

// 年龄报表导出(czg private)
export function exportAgeWithIdType (params) {
  return http.post('/chengzhanguan/exportAgeWithIdType', { data: params })
}

// 日订单统计报表
export function getDailyOrderStatistics (params) {
  return http.post('/orderStatistics/getDailyOrderStatistics', { data: params })
}

// 日订单统计报表导出
export function exportDailyOrderStatistics (params) {
  return http.post('/exportMission/exportDailyOrderStatistics', { data: params })
}

// 门票分账销售统计
export function getOsSaleStatistic (params) {
  return http.post('/admin/statistics/orderScenicSaleStatistics', { data: params })
}

// 门票分账核销统计
export function getOsCheckStatistic (params) {
  return http.post('/admin/statistics/orderScenicCheckStatistics', { data: params })
}

// 工行商户统计
export function getGhSrStatistic (params) {
  return http.post('/admin/statistics/gonghangSpiltRecordStatistics', { data: params })
}
